Package org.apache.tools.ant

# Interface DynamicObjectAttribute

    public interface DynamicObjectAttribute

Enables a task to control unknown attributes. Same as `DynamicAttribute` but authorize arbitrary Object as value rather than String

Since:
  Ant 1.9
See Also:
  `DynamicAttribute`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `setDynamicAttribute​(java.lang.String name, java.lang.Object value)` | Set a named attribute to the given value

- ## Method Details

  - ### setDynamicAttribute

    void setDynamicAttribute​(java.lang.String name, java.lang.Object value) throws BuildException
    Set a named attribute to the given value
    Parameters:
      `name` - the name of the attribute
      `value` - the new value of the attribute
    Throws:
      `BuildException` - when any error occurs